GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::Channel Class Reference

`#include <channel.h>`

## Public Member Functions
| Channel (grpc_channel *c_channel)
| Channel (const grpc::string &host, grpc_channel *c_channel)
| ~Channel () GRPC_OVERRIDE
virtual void * | RegisterMethod (const char *method) GRPC_OVERRIDE
virtual Call | CreateCall (const RpcMethod &method, ClientContext *context, CompletionQueue *cq) GRPC_OVERRIDE
virtual void | PerformOpsOnCall (CallOpSetInterface *ops, Call *call) GRPC_OVERRIDE
Public Member Functions inherited from grpc::GrpcLibrary
| GrpcLibrary ()
virtual | ~GrpcLibrary ()
Public Member Functions inherited from grpc::ChannelInterface
virtual | ~ChannelInterface ()
Public Member Functions inherited from grpc::CallHook
virtual | ~CallHook ()

## Constructor & Destructor Documentation

grpc::Channel::Channel | ( | grpc_channel * | c_channel | ) |
| explicit

grpc::Channel::Channel | ( | const grpc::string & | host,
|  | grpc_channel * | c_channel
| ) |  |

grpc::Channel::~Channel | ( |  | ) |

## Member Function Documentation

Call grpc::Channel::CreateCall | ( | const RpcMethod & | method,
|  | ClientContext * | context,
|  | CompletionQueue * | cq
| ) |  |
| virtual

Implements grpc::ChannelInterface.

void grpc::Channel::PerformOpsOnCall | ( | CallOpSetInterface * | ops,
|  | Call * | call
| ) |  |
| virtual

Implements grpc::CallHook.

void * grpc::Channel::RegisterMethod | ( | const char * | method | ) |
| virtual

Implements grpc::ChannelInterface.

The documentation for this class was generated from the following files:

- src/cpp/client/channel.h
- src/cpp/client/channel.cc